## org.apache.portals.bridges.struts
Class StrutsPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.struts.StrutsPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public class StrutsPortlet
extends javax.portlet.GenericPortlet

StrutsPortlet

Version:
  $Id: StrutsPortlet.java 549654 2007-06-22 00:52:52Z ate $
Author:
  Ate Douma

Field Summary
`static String` `ACTION_REQUEST`
`static String` `CUSTOM_REQUEST`
`static String` `DEFAULT_STRUTS_PORTLET_CONFIG_LOCATION`
`private String` `defaultActionPage` Default URL for the action page.
`private String` `defaultCustomPage` Default URL for the custom page.
`private String` `defaultEditPage` Default URL for the edit page.
`private String` `defaultHelpPage` Default URL for the help page.
`private String` `defaultViewPage` Default URL for the view page.
`static String` `EDIT_REQUEST`
`static String` `ERROR_CONTEXT`
`static String` `HELP_REQUEST`
`private static org.apache.commons.logging.Log` `log`
`static String` `ORIGIN_URL`
`static String` `PAGE_URL`
`static String` `PARAM_ACTION_PAGE` Name of portlet preference for Action page
`static String` `PARAM_CUSTOM_PAGE` Name of portlet preference for Custom page
`static String` `PARAM_EDIT_PAGE` Name of portlet preference for Edit page
`static String` `PARAM_HELP_PAGE` Name of portlet preference for Edit page
`static String` `PARAM_SERVLET_CONTEXT_PROVIDER` Name of class implementing `ServletContextProvider`
`static String` `PARAM_VIEW_PAGE` Name of portlet preference for View page
`static String` `PORTLET_NAME`
`static String` `PORTLET_SCOPE_STRUTS_SESSION`
`private boolean` `portletScopeStrutsSession`
`static String` `REDIRECT_PAGE_URL`
`static String` `REDIRECT_URL`
`static String` `RENDER_CONTEXT`
`static String` `REQUEST_TYPE`
`static String` `SERVLET_PORTLET_APPLICATION_SESSION`
`static String` `SERVLET_PORTLET_SESSION_PROXY`
`private org.apache.portals.bridges.common.ServletContextProvider` `servletContextProvider`
`static String` `STRUTS_PORTLET_CONFIG`
`static String` `STRUTS_PORTLET_CONFIG_LOCATION` Name of portlet preference for Struts Portlet Config Location
`private StrutsPortletConfig` `strutsPortletConfig`
`static String` `VIEW_REQUEST`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`StrutsPortlet()`

Method Summary
`void` `doCustom(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`void` `doEdit(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`void` `doHelp(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`void` `doView(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`protected String` `getActionPageParameter(javax.portlet.PortletConfig config)`
`javax.servlet.http.HttpSession` `getApplicationSession(javax.servlet.http.HttpServletRequest request)`
`protected String` `getContextProviderClassNameParameter(javax.portlet.PortletConfig config)`
`protected String` `getCustomPageParameter(javax.portlet.PortletConfig config)`
`protected String` `getEditPageParameter(javax.portlet.PortletConfig config)`
`protected String` `getHelpPageParameter(javax.portlet.PortletConfig config)`
`protected javax.servlet.http.HttpServletRequest` `getHttpServletRequest(javax.portlet.GenericPortlet portlet, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)`
`protected javax.servlet.http.HttpServletResponse` `getHttpServletResponse(javax.portlet.GenericPortlet portlet, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)`
`protected String` `getKeepRenderAttributes(javax.portlet.PortletRequest request)`
`protected Boolean` `getPortletScopeStrutsSessionParameter(javax.portlet.PortletConfig config)`
`protected javax.servlet.ServletContext` `getServletContext(javax.portlet.GenericPortlet portlet, javax.portlet.PortletRequest request, javax.portlet.PortletResponse response)`
`protected org.apache.portals.bridges.common.ServletContextProvider` `getServletContextProvider()`
`protected String` `getStrutsOriginURL(javax.portlet.PortletRequest request)`
`protected String` `getStrutsPageURL(javax.portlet.PortletRequest request)`
`protected String` `getStrutsPortletConfigLocationParameter(javax.portlet.PortletConfig config)`
`protected String` `getViewPageParameter(javax.portlet.PortletConfig config)`
`void` `init(javax.portlet.PortletConfig config)`
`void` `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`protected void` `processRequest(javax.portlet.PortletRequest request, javax.portlet.PortletResponse response, String defaultPage, String requestType)`
`protected void` `renderError(javax.servlet.http.HttpServletResponse response, StrutsPortletErrorContext errorContext)`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAM_SERVLET_CONTEXT_PROVIDER

    public static final String PARAM_SERVLET_CONTEXT_PROVIDER

  Name of class implementing `ServletContextProvider`

  See Also:
    Constant Field Values

### STRUTS_PORTLET_CONFIG_LOCATION

    public static final String STRUTS_PORTLET_CONFIG_LOCATION

  Name of portlet preference for Struts Portlet Config Location

  See Also:
    Constant Field Values

### PORTLET_SCOPE_STRUTS_SESSION

    public static final String PORTLET_SCOPE_STRUTS_SESSION

See Also:
  Constant Field Values

### PARAM_ACTION_PAGE

    public static final String PARAM_ACTION_PAGE

  Name of portlet preference for Action page

  See Also:
    Constant Field Values

### PARAM_CUSTOM_PAGE

    public static final String PARAM_CUSTOM_PAGE

  Name of portlet preference for Custom page

  See Also:
    Constant Field Values

### PARAM_EDIT_PAGE

    public static final String PARAM_EDIT_PAGE

  Name of portlet preference for Edit page

  See Also:
    Constant Field Values

### PARAM_HELP_PAGE

    public static final String PARAM_HELP_PAGE

  Name of portlet preference for Edit page

  See Also:
    Constant Field Values

### PARAM_VIEW_PAGE

    public static final String PARAM_VIEW_PAGE

  Name of portlet preference for View page

  See Also:
    Constant Field Values

### defaultActionPage

    private String defaultActionPage

  Default URL for the action page.

### defaultCustomPage

    private String defaultCustomPage

  Default URL for the custom page.

### defaultEditPage

    private String defaultEditPage

  Default URL for the edit page.

### defaultHelpPage

    private String defaultHelpPage

  Default URL for the help page.

### defaultViewPage

    private String defaultViewPage

  Default URL for the view page.

### servletContextProvider

    private org.apache.portals.bridges.common.ServletContextProvider servletContextProvider

### portletScopeStrutsSession

    private boolean portletScopeStrutsSession

### log

    private static final org.apache.commons.logging.Log log

### REQUEST_TYPE

    public static final String REQUEST_TYPE

See Also:
  Constant Field Values

### PAGE_URL

    public static final String PAGE_URL

See Also:
  Constant Field Values

### ORIGIN_URL

    public static final String ORIGIN_URL

See Also:
  Constant Field Values

### REDIRECT_PAGE_URL

    public static final String REDIRECT_PAGE_URL

See Also:
  Constant Field Values

### REDIRECT_URL

    public static final String REDIRECT_URL

See Also:
  Constant Field Values

### RENDER_CONTEXT

    public static final String RENDER_CONTEXT

See Also:
  Constant Field Values

### ERROR_CONTEXT

    public static final String ERROR_CONTEXT

See Also:
  Constant Field Values

### PORTLET_NAME

    public static final String PORTLET_NAME

See Also:
  Constant Field Values

### STRUTS_PORTLET_CONFIG

    public static final String STRUTS_PORTLET_CONFIG

See Also:
  Constant Field Values

### DEFAULT_STRUTS_PORTLET_CONFIG_LOCATION

    public static final String DEFAULT_STRUTS_PORTLET_CONFIG_LOCATION

See Also:
  Constant Field Values

### SERVLET_PORTLET_SESSION_PROXY

    public static final String SERVLET_PORTLET_SESSION_PROXY

See Also:
  Constant Field Values

### SERVLET_PORTLET_APPLICATION_SESSION

    public static final String SERVLET_PORTLET_APPLICATION_SESSION

See Also:
  Constant Field Values

### ACTION_REQUEST

    public static final String ACTION_REQUEST

See Also:
  Constant Field Values

### VIEW_REQUEST

    public static final String VIEW_REQUEST

See Also:
  Constant Field Values

### CUSTOM_REQUEST

    public static final String CUSTOM_REQUEST

See Also:
  Constant Field Values

### EDIT_REQUEST

    public static final String EDIT_REQUEST

See Also:
  Constant Field Values

### HELP_REQUEST

    public static final String HELP_REQUEST

See Also:
  Constant Field Values

### strutsPortletConfig

    private StrutsPortletConfig strutsPortletConfig

Constructor Detail

### StrutsPortlet

    public StrutsPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getContextProviderClassNameParameter

    protected String getContextProviderClassNameParameter(javax.portlet.PortletConfig config)

### getServletContextProvider

    protected org.apache.portals.bridges.common.ServletContextProvider getServletContextProvider()

### getServletContext

    protected javax.servlet.ServletContext getServletContext(javax.portlet.GenericPortlet portlet,
                                                             javax.portlet.PortletRequest request,
                                                             javax.portlet.PortletResponse response)

### getHttpServletRequest

    protected javax.servlet.http.HttpServletRequest getHttpServletRequest(javax.portlet.GenericPortlet portlet,
                                                                          javax.portlet.PortletRequest request,
                                                                          javax.portlet.PortletResponse response)

### getHttpServletResponse

    protected javax.servlet.http.HttpServletResponse getHttpServletResponse(javax.portlet.GenericPortlet portlet,
                                                                            javax.portlet.PortletRequest request,
                                                                            javax.portlet.PortletResponse response)

### getStrutsPageURL

    protected String getStrutsPageURL(javax.portlet.PortletRequest request)

### getStrutsOriginURL

    protected String getStrutsOriginURL(javax.portlet.PortletRequest request)

### getKeepRenderAttributes

    protected String getKeepRenderAttributes(javax.portlet.PortletRequest request)

### getActionPageParameter

    protected String getActionPageParameter(javax.portlet.PortletConfig config)

### getCustomPageParameter

    protected String getCustomPageParameter(javax.portlet.PortletConfig config)

### getEditPageParameter

    protected String getEditPageParameter(javax.portlet.PortletConfig config)

### getViewPageParameter

    protected String getViewPageParameter(javax.portlet.PortletConfig config)

### getHelpPageParameter

    protected String getHelpPageParameter(javax.portlet.PortletConfig config)

### getStrutsPortletConfigLocationParameter

    protected String getStrutsPortletConfigLocationParameter(javax.portlet.PortletConfig config)

### getPortletScopeStrutsSessionParameter

    protected Boolean getPortletScopeStrutsSessionParameter(javax.portlet.PortletConfig config)

### doEdit

    public void doEdit(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### doHelp

    public void doHelp(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### doCustom

    public void doCustom(javax.portlet.RenderRequest request,
                         javax.portlet.RenderResponse response)
                  throws javax.portlet.PortletException,
                         IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### doView

    public void doView(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### processRequest

    protected void processRequest(javax.portlet.PortletRequest request,
                                  javax.portlet.PortletResponse response,
                                  String defaultPage,
                                  String requestType)
                           throws javax.portlet.PortletException,
                                  IOException

  Throws:
    `javax.portlet.PortletException`
    `IOException`

### renderError

    protected void renderError(javax.servlet.http.HttpServletResponse response,
                               StrutsPortletErrorContext errorContext)
                        throws IOException

  Throws:
    `IOException`

### getApplicationSession

    public javax.servlet.http.HttpSession getApplicationSession(javax.servlet.http.HttpServletRequest request)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.